<?php
/**
* @version $Id: install.php $
* @version		3.1.0 29/10/2019
* @package		plg_myjspacesearch
* @author       Bernard Saulm
* @copyright	Copyright (C) 2011 - 2019 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

/*
 * Enable, the plugin after install // >= J!1.6
 */

class plgSearchmyjspacesearchInstallerScript
{
	function postflight($type, $parent)
	{
		// Get this plugin group, element
		$group = 'search';
		$element = 'myjspacesearch';

		if ($type == 'install' && JComponentHelper::getComponent('com_search', true)->enabled) { // Enable plugin
			$this->enablePlugin($group, $element);
		}

		return true;
	}

 	function enablePlugin($group, $element)
	{
		$plugin = JTable::getInstance('extension');
		if (!$plugin->load(array('type'=>'plugin', 'folder'=>$group, 'element'=>$element))) {
			return false;
		}
		$plugin->enabled = 1;
		return $plugin->store();
	}
}
